%define		_state		stable
%define		orgname		parley

Summary:	K Desktop Environment - program to help you memorize things
Summary(pl.UTF-8):	K Desktop Environment - program pomagający w zapamiętywaniu
Name:		kde4-parley
Version:	4.10.4
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	a2635ecfae6841a84bf0ba4cc6c7cafd
URL:		http://www.kde.org/
BuildRequires:	attica-devel
BuildRequires:	automoc4
BuildRequires:	docbook-style-xsl
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	qt4-build
Obsoletes:	kde4-kdeedu-parley < 4.7.0
Obsoletes:	parley <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parley is a KDE program to help you memorize things.

%description -l pl.UTF-8
Parley to program dla KDE pomagający w zapamiętywaniu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/parley
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_parley.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_parley.so
%{_desktopdir}/kde4/parley.desktop
%{_datadir}/apps/desktoptheme/default/widgets/parley_plasma_card.svg
%{_datadir}/apps/parley
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/config/*.knsrc
%{_iconsdir}/hicolor/*x*/apps/parley.png
%{_iconsdir}/hicolor/scalable/apps/parley*.svgz
%{_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_datadir}/kde4/services/plasma_parley.desktop
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-parley.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 7e599c8
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> c25d84f
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> d3d1ae3
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> d279b1a
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 62470dd
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 4c58db2
- updated to 4.9.0, added missing BRs.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 13a84c8
- up to 4.8.0; now as kde4-parley

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b2669c1
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e8752e
- rel 2; BR libkdeedu-devel

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7727a64
- initial

